<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZTASKTEAMEditView9Base from './ibiztaskteamedit-view9-base.vue';

import view_form from '@widgets/ibiztaskteam/main-form/main-form.vue';
// 基于 @VIEW/@MACRO/VIEW.vue.ftl 生成
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZTASKTEAMEditView9 extends IBIZTASKTEAMEditView9Base {

}
</script>